#
# spec file for package libgnomecanvas
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgnomecanvas
Version:        2.30.3
Release:        18.4
Summary:        An Add-On for the GNOME User Interface Libraries
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/GNOME
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.20/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
BuildRequires:  intltool
BuildRequires:  libart_lgpl-devel
BuildRequires:  libglade2-devel
BuildRequires:  translation-update-upstream
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libgnomecanvas is a graphical add-on for the GNOME User Interface
libraries.

%package -n libgnomecanvas-2-0
Summary:        An Add-On for the GNOME User Interface Libraries
Group:          System/Libraries
Recommends:     %{name}-lang
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libgnomecanvas-64bit
%endif
#

%description -n libgnomecanvas-2-0
Libgnomecanvas is a graphical add-on for the GNOME User Interface
libraries.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       libgnomecanvas-2-0 = %{version}
Provides:       libgnomecanvas-doc = %{version}
Obsoletes:      libgnomecanvas-doc < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libgnomecanvas-devel-64bit
%endif
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure --with-pic\
	--disable-static \
        --enable-glade
make %{?_smp_mflags}

%install
%make_install
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang %{name}-2.0
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%post -n libgnomecanvas-2-0 -p /sbin/ldconfig

%postun -n libgnomecanvas-2-0 -p /sbin/ldconfig

%files -n libgnomecanvas-2-0
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README NEWS ChangeLog
%{_libdir}/libgnomecanvas-2.so.*
%{_libdir}/libglade/2.0/libcanvas.so

%files lang -f %{name}-2.0.lang

%files devel
%defattr(-,root,root)
%{_includedir}/libgnomecanvas-2.0/
%{_libdir}/libgnomecanvas-2.so
%{_libdir}/pkgconfig/libgnomecanvas-2.0.pc
%{_datadir}/gtk-doc/html/libgnomecanvas/
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html

%changelog
* Tue Oct  7 2014 jengelh@inai.de
- Do parallel build with %%_smp_mflags.
- Remove old specfile section (%%clean).
- Remove fdupes call and related fdupes BuildRequires: it is
  currently not deduplicating anything.
* Sat Sep 21 2013 dimstar@opensuse.org
- Change RPM Group of shared library package to System/Libraries.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Wed May  4 2011 vuntz@opensuse.org
- Update to version 2.30.3:
  + Fix delivering of scroll events again
  + Updated translations.
- Change libgnomecanvas Obsoletes from <= to < now that we have a
  new upstream version.
* Mon Oct 11 2010 vuntz@opensuse.org
- Update packaging to use the shared library packaging policy:
  + Create libgnomecanvas-2-0 subpackage.
  + Add Provides/Obsoletes for libgnomecanvas to
    libgnomecanvas-2-0.
  + Update baselibs.conf accordingly.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.30.2:
  + Updated translations.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Thu Apr  1 2010 vuntz@opensuse.org
- Update to version 2.30.1:
  + Fix background drawing
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Do not use deprecated API
  + Reduce relocations
  + Make glade support optional at configure time
  + Forward scroll events to items holding a grap
  + Make the paint method work on Quartz too
  + Getting GnomeCanvasLine's points property leaks
  + Fix linking with pedantic linkers
  + Updated translations.
- Remove en@shaw translations on 11.2 and earlier.
- Pass --enable-glade to configure to keep the glade support (for
  now, at least).
* Thu Dec 17 2009 jengelh@medozas.de
- Add baselibs.conf as a source
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Updated translations.
- Remove AutoReqProv: it's default now.
- Do not call autoreconf.
- Remove unneeded BuildRequires: gnome-common, gtk-doc,
  update-desktop-files
- Remove glibc-devel from Requires of devel package.
- Merge doc package in devel package since it only contain gtk-doc
  files.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sat Jan 31 2009 vuntz@novell.com
- Update to version 2.25.90:
  + Avoid tearing while repainting (Federico Mena Quintero)
  + Fix compilation with gcc 2.x (Jens Granseur)
  + Register gailcanvas into a11y type system (Sven Herzberg)
  + Do not use deprecated GTK_OBJECT macros (Stefan Kost)
  + Use single GTK+ includes (Cosimo Cecchi, Przemysław Grzegorczyk)
  + Updated translations
- Remove unneeded BuildRequires: gail-devel (provided by
  gtk2-devel), indent, iso_ent, libtiff-devel, perl-XML-Parser and
  sgml-skel
- Remove Requires from devel package: gail-devel
- Drop libgnomecanvas-no-tearing.diff: fixed upstream.
* Mon Jan 26 2009 crrodriguez@suse.de
- remove "la" files [BNC#357465]
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Fri Nov 23 2007 maw@suse.de
- Update to version 2.20.1.1:
  + Updated translations.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * stable version number
* Wed Aug 29 2007 maw@suse.de
- Update to version 2.19.2:
  + Don't store the focused item in the data section of the canvas
    widget, but in a GObject property of it
  + Updated Finnish translation.
* Sat Aug 25 2007 aj@suse.de
- Fix build.
* Wed Aug 22 2007 federico@novell.com
- Added libgnomecanvas-no-tearing.diff.  This eliminates tearing when repainting, for a smoother ride.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Tue Jul 31 2007 maw@suse.de
- Update to version 2.19.1
- Bug fixes: libgnomecanvas-2.0.pc no longer refers to nonexistent
  gail-1.0.pc, and gailcanvas has been merged into gnomecanvas
- Updated translations
- Buildrequire intltool and gail-devel (note that gail 1.19.6 or
  higher is required)
- The -devel subpackage now requires gail-devel.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Wed Dec 13 2006 sbrabec@suse.cz
- Spec file cleanup.
* Wed Dec 13 2006 maw@suse.de
- Move to /usr.
* Fri Jul 21 2006 gekker@suse.de
- Update to version 2.14.0
  - Updated and new translations:
- update to libgnomecanvas 2.13.0
  - Bug fixes:
  - Correctly reset item_list_end when moving the last
    item in the list. Fixes bug #323850. (Federico, Denis Auroux)
  - Remove a bunch of cruft and compiler warnings (Kjartan)
  - Add g_object_notify() call to allow users to connect to
    the notify::parent signal. Closes bug #320791. (Sven Herzberg)
  - Use BILINEAR interpolation instead of HYPER which is
    "a slow buggy piece of shit". (Federico)
  - Cast GNOME_CANVAS_COLOR macros to use unsigned ints so that
    shifting left 24 bits won't overflow into the sign bit.
    Fixes bug #317718. (Danek Duvall)
  - Correctly calculate width_in_pixels and height_in_pixels
    in gnome-canvas-pixbuf.c. (Hans de Graaff)
  - Docs:
  - Add API docs for gnome-canvas-rich-text.c (Dinoop Thomas)
  - Translation updates.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 16 2005 jpr@suse.de
- Work around compiler bug for now (#132010)
* Fri Oct  7 2005 federico@novell.com
- Added libgnomecanvas-pixbuf-bilinear-interpolation.diff to replace
  HYPER interpolation with the much faster and non-buggy BILINEAR.
* Tue Sep  6 2005 sbrabec@suse.cz
- Updated to version 2.12.0.
* Wed Aug 31 2005 gekker@suse.de
- Fix requires in devel subpackage (113465)
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.11.2
* Tue Aug  2 2005 ro@suse.de
- use gtk2-devel-packages in nfb
* Mon Jun 27 2005 sbrabec@suse.cz
- Updated to version 2.11.1.
- Removed unneeded static modules and .la files for modules.
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Tue Mar  8 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Wed Mar  2 2005 gekker@suse.de
- Update to version 2.9.2
* Fri Feb  4 2005 gekker@suse.de
- Update to version 2.9.1
* Mon Nov 22 2004 gekker@suse.de
- Update version to 2.8.0
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 ro@suse.de
- locale rename: no -> nb
* Wed Oct 13 2004 sbrabec@suse.cz
- Added libgcrypt libgpg-error to neededforbuild.
* Wed Sep 22 2004 sbrabec@suse.cz
- Fixed empty documentation.
* Thu Apr 15 2004 sbrabec@suse.cz
- Updated to version 2.6.0 (GNOME 2.6).
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig and %%defattr
* Tue Oct  7 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 20 2003 sbrabec@suse.cz
- Directory packaging and prefix clash fix.
* Mon Jun  2 2003 sbrabec@suse.cz
- Updated to version 2.2.1.
* Sun Jun  1 2003 ro@suse.de
- include static lib in devel subpackage
- remove unpackaged files from buildroot
* Thu May 22 2003 sbrabec@suse.cz
- Sync -devel Requires with pkgconfig (bug #26877)
* Thu Feb  6 2003 hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Thu Jan 16 2003 hhetter@suse.de
- updated to version 2.1.90
* Tue Jan 14 2003 ro@suse.de
- added expat to neededforbuild
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.0.5 [GNOME 2.0.3]
* Thu Oct 24 2002 hhetter@suse.de
- updated to version 2.0.4
- use "-c" with automake (Bug Id #21066)
* Thu Aug 15 2002 hhetter@suse.de
- branch doc package
* Fri Aug  9 2002 hhetter@suse.de
- updated to version 2.0.2
* Tue Jun 25 2002 hhetter@suse.de
- updated to version 2.0.1
* Wed Jun 19 2002 ro@suse.de
- use "-a -f" for automake
* Mon Jun 10 2002 hhetter@suse.de
- updated to version 2.0.0
* Tue Jun  4 2002 hhetter@suse.de
- updated to version 1.117.0, source frozen
* Wed May 15 2002 ro@suse.de
- use libdir
* Tue Apr  9 2002 hhetter@suse.de
- update to 1.114.0 [gnome2 desktop beta3]
* Fri Feb  1 2002 hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
- really build and install libcanvas.so
* Thu Jan 17 2002 hhetter@suse.de
- really prefix to /opt/gnome2
* Thu Jan 17 2002 hhetter@suse.de
- prefix to /opt/gnome2
* Mon Jan 14 2002 hhetter@suse.de
- updated to version 1.109.0
  * translation updates
* Thu Jan 10 2002 hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
